<template>
  <div class="flex w-full flex-row pt-4 pb-4 flex items-center">
    <div class="ml-2 flex flex-col justify-center">
      <ion-avatar class="h-full flex justify-center">
        <img
          class="h-8 w-8"
          :src="`${profilePictureUrl}`"
          alt="Profile picture"
          @error="setProfilePictureNotFound"
        />
      </ion-avatar>
    </div>
    <div class="ml-2 flex flex-col mr-3">
      <div class="text-left flex items-center comment-content">
        {{ username }}
      </div>
    </div>
  </div>
</template>


<script>
import { defineComponent } from "vue";
import { IonAvatar } from "@ionic/vue";
import { setProfilePictureNotFound }  from "../services/profile-picture.js";
export default defineComponent({
  name: "User",
  components: {
    IonAvatar,
  },
  setup() {
    return {
      setProfilePictureNotFound,
    };
  },
  props: ["username", "profilePictureUrl"],
});
</script>

